[Archlinux] GRUB Legacy destek dışı

GRUB 2

Dün açıklandı ArchLinux haber sayfasıO GRUB 2.x depoya taşındı [çekirdek], Nerede ana paketler Archlinux tarafından. Böylece GRUB Legacy desteği (sürüm 0.9x) bittive paket şuraya taşındı: AUR (Arch Kullanıcı Deposu).

Eğer varsa GRUB Eskive yüklendiğinde sorunsuz bir şekilde kullanmaya devam edebilir (sonuçta kararlı), ancak ekibi Archlinux güncellenmesini tavsiye ediyor GRUB 2ya da değişim diğerlerinden birine Booloader'lar hala desteği var. Değilse, LILO veya Syslinux ¬ ¬ »kullanacağım.

Kullanıcılardan istenir istişareler la GRUB bölümü alarak Arch WikiKarşı detaylı kurulum talimatları.

Pekala, önceden sana söylüyorum Testi GRUB 2 ile zaten yaptım, ve yürü Sorun değil. Size temel güncelleme talimatlarını bırakıyorum GRUB 2.

İlk önce yapmalıyız GRUB 2'yi yükle. Bunun için root olarak çalıştırıyoruz:

pacman -S grub-bios

Size zamanı geldiğine dair bir uyarı verecek GRUB Legacy'yi kaldır çünkü çelişiyor GRUB 2. Kurulum bittiğinde şu komutu uygulamalıyız:

pacman -S os-prober

İhtiyacımız var os-Prober için GRUB 2 gibi diğer işletim sistemlerini tanımak Windows, örneğin. Aşağıdakiler bunu çalıştırmak içindir:

grub-mkconfig -o /boot/grub/grub.cfg

Bu, için bir yapılandırma dosyası oluşturacaktır. GRUB 2. Çıkışta emin olmak ne görünüyor tüm sistemlerin. Son olarak, kuracağız GRUB 2 içinde MBR komut ile:

grub-install /dev/sda

Senin durumunda değilse sda (genellikle ne kadar iyi), uygun diski seçin.

Hepsi bugün için. Görüşürüz 😉


Makalenin içeriği şu ilkelerimize uygundur editoryal etik. Bir hata bildirmek için tıklayın burada.

16 yorum, sizinkini bırakın

Yorumunuzu bırakın

E-posta hesabınız yayınlanmayacak. Gerekli alanlar ile işaretlenmiştir *

*

*

  1. Verilerden sorumlu: Miguel Ángel Gatón
  2. Verilerin amacı: Kontrol SPAM, yorum yönetimi.
  3. Meşruiyet: Onayınız
  4. Verilerin iletilmesi: Veriler, yasal zorunluluk dışında üçüncü kişilere iletilmeyecektir.
  5. Veri depolama: Occentus Networks (AB) tarafından barındırılan veritabanı
  6. Haklar: Bilgilerinizi istediğiniz zaman sınırlayabilir, kurtarabilir ve silebilirsiniz.

  1.   Gadi dijo

    Tecrübelerime göre GRUB2, selefinden çok daha az tartışmalı ve onu yapılandırmak için iyi arayüzler var. Her zaman en ileri teknolojide olan Arch'ın henüz resmi olarak kullanmadığını merak ediyorum.

  2.   Element Sıfır (Kurt) dijo

    Şey, Grub Legacy'nin basitliğini tercih edenlerden biriyim. Şahsen, onu olduğu gibi bırakacağım.

  3.   kavga etti dijo

    Temaları ve daha fazla özelleştirmeyi desteklediği için burg'u daha çok seviyorum

  4.   wpgabriel dijo

    Arch'da bunun zamanı gelmişti.

  5.   uygun dijo

    GRUB Legacy en iyi xD

    1.    msx dijo

      Hiçbir fikrin yok.
      Arch, Debian veya Gentoo'nun minimal kurulumu gibidir: bir mini çekirdek kurarsınız ve oradan sisteminizi kurarsınız. Bu paradigmayı takip ederek, daha güçlü / eksiksiz bir önyükleyici kurmanız gerekiyorsa, bunu kendi isteğinize göre yaparsınız: GRUB2, SysLinux veya başka herhangi birini kurabilirsiniz.
      Gerçek şu ki, GRUB2'nin Legacy'nin yerine geçmesiyle ilgili tartışmayı takip etmedim, bu yüzden bu değişikliğin nedenleri hakkında konuşamam, ancak bunu yaptıkları bana çarpıyor, belki de daha fazlasına sahip olmanın zamanının geldiğini düşünüyorlar. modern önyükleyici.
      Bununla birlikte, yukarıda belirtildiği gibi, hiçbir şey GRUB Legacy'nin basitliğinin yerini alamaz.

      GRUB2'yi derinlemesine biliyor musunuz? Bu berbat, başlı başına bir işletim sistemi ve üstelik çirkin bir sistem ve en karmaşık şekilde yapılmış, biz kendimizi öyle hissetmiyoruz.

      GRUB2'yi kullanmak için sadece iki neden düşünebilirim:
      1. Donanım yapılandırmanız Legacy tarafından desteklenmiyor, bu nedenle modern ve modüler olan her türlü donanım ve yazılımı destekleyen GRUB2'ye ihtiyacınız var.
      2. Dağıtım bir son kullanıcı içindir ve saçma bir karşılama sıçraması ve insanların hoşuna giden tüm bu şeyler içeren bir başlangıç ​​menüsüne sahip olmak istiyorsunuz.

      GRUB99 SOBRA ev / özel tesislerinin% 2'unda - yani büyük harflerle - Legacy ve hatta Lilo'nun görevlerini zekice yerine getirdiğini garanti ederim.

      Tek üzücü, mükemmel bir bootloader olan Syslinux yerine GRUB2 kullanmaya karar vermeleriydi.

      1.    msx dijo

        Önceki gönderi @wpgabriel içindir, FromLinux'un kullandığı sistemin yeni girdileri yanıt yerine sonunda sipariş ettiğini unuttum

  6.   chango dijo

    Grub2'yi severim, birçok görevi otomatikleştirir, ancak lilo ve "lilosetup" GUI ile dağıtımımı seviyorum. Kolay, hafif ve hızlı. Bana öyle geliyor ki, kararlı, işlevsel ve kaynakları kötüye kullanmayan (bootleader'lar ikincisinden hariç tutulur) "son", ilginç bir parametre değildir. Örneğin neden Gnome2 ve KDE 3.5 için nostaljik var?

    1.    uygun dijo

      Ayrıca LILO (Slackware'de varsayılan olarak gelir) diğer dağıtımları kurmak isteyene ve LILO "uzun" çekirdek adında bir hata oluşana kadar kullandım, yamayı buldum, yamamayı denedim, yapamadım ' t, neden çalışmadığını görmek için zamanım olmadı ve GRUB Legacy'yi kurmanın kolay yoluna gittim ve sorun çözüldü :)

      1.    chango dijo

        Daha bugün o sorunu yaşadım, bir blogda bahsettiğiniz hatanın yeni bir sürümle (23.2) çözüldüğünü okudum. Ancak doğrudan yama yapmak yerine SalixOS slkbuild ile yeni bir paket oluşturdum ve lilo'yu güncelledikten sonra, önyüklemeyi lilosetup ve voila ile yeniden yapılandırdım. Açıkçası, lilo -v komutuyla yapmak isterseniz aynı şekilde çalışır. Eğer ilgileniyorsanız, senaryoyu şuradan edinebilirsiniz: http://salix.enialis.net/x86_64/13.37/source/a/lilo/

        Lilo'yu seviyorum çünkü lilosetup ile grubun eklediği şeyler olmadan (neredeyse hiç kullanılmayan güvenli mod veya bellek testi girişleri gibi) ihtiyacım olan girdileri kolayca yapılandırıyorum. Ama seni anlıyorum: grub mirası ve grub2 otomatik ile baştan çıkar, özellikle de 7 dolarlık çakışan pencere ve onun yükleyicisi ile ...

        1.    chango dijo

          Oops! Size bu özel paketi almak için lilo'nun yeni sürümüne ihtiyacınız olduğunu söylemeyi unuttum:

          ftp://ftp.slackware.at/slackware64-current/slackware64/a/lilo-23.2-x86_64-1.txz

          Ve slkbuild'de 22.8'i 23.2'ye değiştirmeyi unutmayın. 32 bit versiyona ihtiyacınız varsa, onu ilgili mevcut depodan indirirsiniz ve slkbuild'i ilgili mimari ile düzenlerseniz.

          1.    uygun dijo

            Slackware'den zaten uzaklaştım, ancak yeni sürüm paketinin tükendiğini bilmek güzel.

            Selamlar.

  7.   kik1n dijo

    Yeni Arch iso'nun ortaya çıktığını ve yeni haberlerle birlikte olduğunu belirtmekte fayda var.

  8.   sütlü28 dijo

    Pekala, en kolay seçeneği gördüğüm gibi, el kitabını yaptım ama wiki iyi bilgilendirilmiş Bir soru grub2'ye bir arka plan resmi koymayı başardınız mı?
    Selamlar.

  9.   elektron222ruko22 dijo

    Depolarda Çakra testi zaten mevcut ve sorunsuz bir şekilde güncellendi 😀

  10.   Helena dijo

    uuuh şüphelerim vardı ama bunu yapmak benim için çok kolay oldu! kutlama! ^^